aboutsummaryrefslogtreecommitdiffstats
path: root/configure.ac
diff options
context:
space:
mode:
authorGwanglim Lee <gl77.lee@samsung.com>2014-05-11 12:34:09 -0400
committerMike Blumenkrantz <zmike@samsung.com>2014-05-11 12:34:10 -0400
commit476e3653dbe115cb696b57f7d0250c372b049890 (patch)
tree9b05a430cd01dd19e74eddd6419faa1641b16561 /configure.ac
parentpager/pager16: fix wrong min values. (diff)
downloadenlightenment-476e3653dbe115cb696b57f7d0250c372b049890.tar.gz
config error if you pass --enable-wayland-only or --enable-wayland-clients without wayland required packages to avoid later build fail
Summary: You can get build error if you don't have required packages for wayland configuration such as pixman-1. I think it would be good to know you about package error at configuration time. Test Plan: 1. change your name of pixman-1.pc file temporarily. 2. also change your name of pixman.h file temporarily. 3. config e with --enable-wayland-clients option 4. make Reviewers: raster, devilhorns, zmike CC: cedric, stefan_schmidt Differential Revision: https://phab.enlightenment.org/D782
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac3
1 files changed, 1 insertions, 2 deletions
diff --git a/configure.ac b/configure.ac
index 44cac744b..c4fbd19f2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -832,8 +832,7 @@ if test "x${e_cv_want_wayland_only}" != "xno" || test "x${e_cv_want_wayland_clie
[
have_wayland=yes
AC_DEFINE_UNQUOTED([HAVE_WAYLAND],[1],[enable wayland support])
- ],
- [have_wayland=no])
+ ])
else
have_wayland=no
fi